package com.yunzhi.roundabout.common;

import com.yunzhi.roundabout.entity.TaPerson;
import com.yunzhi.roundabout.service.ITaPersonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

@Component
public class BaseController {
    @Autowired
    public ITaPersonService iTaPersonService;

    public TaPerson currentPerson(HttpServletRequest request) throws Exception {
        String token = JWTUtils.getToken(request);
        if (StringUtils.isEmpty(token)) {
            throw new Exception("请先登录系统或刷新重试");
        }

        Map<String, Object> result = JWTUtils.decode(token);
        String personId = (String) result.get("userId");
        if (StringUtils.isEmpty(personId)) {
            throw new Exception("请先登录系统或刷新重试");
        }

        return iTaPersonService.getById(personId);
    }
}
