package com.yunzhi.roundabout.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.yunzhi.roundabout.common.excelConverter.LocalDateTimeConverter;
import com.yunzhi.roundabout.common.excelConverter.SecondConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户表
 * </p>
 *
 * @author yansen
 * @since 2022-01-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPerson对象", description="用户表")
public class TaPerson implements Serializable {

    @ExcelIgnore
    private static final long serialVersionUID = 1L;

    @ExcelIgnore
    @ApiModelProperty(value = "用户ID")
    @TableId(value = "person_id", type = IdType.UUID)
    private String personId;

    @ExcelProperty(value = "中奖人", index = 0)
    @ColumnWidth(40)
    @ApiModelProperty(value = "用户名")
    private String name;

    @ExcelIgnore
    @ApiModelProperty(value = "头像")
    private String avatar;

    @ExcelIgnore
    @ApiModelProperty(value = "手机号")
    private String phone;

    @ExcelIgnore
    @ApiModelProperty(value = "openid")
    private String openid;

    @ExcelIgnore
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ExcelProperty(value = "参与时间", index = 1, converter = LocalDateTimeConverter.class)
    @ColumnWidth(60)
    @ApiModelProperty(value = "参与时间")
    private LocalDateTime joinDate;

    @ExcelIgnore
    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ExcelIgnore
    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ExcelProperty(value = "耗时", index = 2, converter = SecondConverter.class)
    @ColumnWidth(40)
    @ApiModelProperty(value = "耗时时长")
    private Long totalMillsec;

    @ExcelIgnore
    @ApiModelProperty(value = "最后一次开始时间")
    private String lastStart;

    @ExcelIgnore
    @ApiModelProperty(value = "最后一次结束时间")
    private String lastEnd;
}
