package com.yunzhi.roundabout.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.roundabout.entity.TaPerson;
import com.yunzhi.roundabout.mapper.TaPersonMapper;
import com.yunzhi.roundabout.service.ITaPersonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 用户表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-01-13
 */
@Service
public class TaPersonServiceImpl extends ServiceImpl<TaPersonMapper, TaPerson> implements ITaPersonService {

    @Override
    public TaPerson getByOpenId(String openid) {

        QueryWrapper<TaPerson> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("openid", openid);
        queryWrapper.last("limit 1");

        TaPerson taPerson = getOne(queryWrapper);
        if (null == taPerson) {
            taPerson = new TaPerson();
            taPerson.setOpenid(openid);
            taPerson.setCreateDate(LocalDateTime.now());
            save(taPerson);
        }

        return taPerson;
    }

    @Override
    public boolean updateName(TaPerson taPerson) {
        UpdateWrapper<TaPerson> updateWrapper = new UpdateWrapper<>();
        updateWrapper.set("name", taPerson.getName());
        updateWrapper.set("phone", taPerson.getPhone());
        updateWrapper.eq("person_id", taPerson.getPersonId());

        return update(updateWrapper);
    }

    @Override
    public TaPerson getByPhone(String phone) {

        QueryWrapper<TaPerson> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("phone", phone);
        queryWrapper.last("limit 1");

        return getOne(queryWrapper);
    }

    @Override
    public IPage<TaPerson> getPageBy(IPage<TaPerson> pg, LocalDateTime start, LocalDateTime end) {
        return baseMapper.getPageBy(pg, start, end);
    }

    @Override
    public List<TaPerson> getListBy(LocalDateTime start, LocalDateTime end) {
        return baseMapper.getListBy(start, end);
    }
}
